---
title: WebGLRenderingContext.blendColor()
slug: Web/API/WebGLRenderingContext/blendColor
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGLRenderingContext
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WebGLRenderingContext.blendColor()</code></strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL API</a> is used to set the source and destination blending factors.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var><em>void gl</em>.</var>blendColor<var>(red, green, blue, alpha);</var>
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>red</code></dt>
 <dd>A {{domxref("GLclampf")}} for the red component in the range of 0 to 1.</dd>
 <dt><code>green</code></dt>
 <dd>A {{domxref("GLclampf")}} for the green component in the range of 0 to 1.</dd>
 <dt>blue</dt>
 <dd>A {{domxref("GLclampf")}} for the blue component in the range of 0 to 1.</dd>
 <dt>alpha</dt>
 <dd>A {{domxref("GLclampf")}} for the alpha component (transparency) in the range of 0 to 1.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>None.</p>

<h2 id="Examples">Examples</h2>

<p>To set the blend color, use:</p>

<pre class="brush: js">gl.blendColor(0, 0.5, 1, 1);</pre>

<p>To get the blend color, query the <code>BLEND_COLOR</code> constant which returns a {{jsxref("Float32Array")}}.</p>

<pre class="brush: js">gl.getParameter(gl.BLEND_COLOR);
// Float32Array[0, 0.5, 1, 1]</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL', "#5.14.3", "blendColor")}}</td>
   <td>{{Spec2('WebGL')}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 2.0', "glBlendColor.xml", "glBlendColor")}}</td>
   <td>{{Spec2('OpenGL ES 2.0')}}</td>
   <td>Man page of the OpenGL API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGLRenderingContext.blendColor")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLRenderingContext.blendEquation()")}}</li>
 <li>{{domxref("WebGLRenderingContext.blendFunc()")}}</li>
</ul>
